org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedEdgeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedEdgeTest

-     public class DetachedEdgeTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetachedEdgeTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldConstructDetachedEdge()`
    `void` | `shouldConstructDetachedEdgeAsReference()`
    `void` | `shouldConstructDetachedEdgeFromParts()`
    `void` | `shouldEvaluateToEqual()`
    `void` | `shouldHashAndEqualCorrectly()`
    `void` | `shouldHaveSameHashCode()`
    `void` | `shouldNotAllowRemove()`
    `void` | `shouldNotAllowSetProperty()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyDetached()`
    `void` | `shouldNotEvaluateToEqualDifferentId()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetachedEdgeTest

          public DetachedEdgeTest()

  - ### Method Detail

    - #### shouldHashAndEqualCorrectly

          public void shouldHashAndEqualCorrectly()

    - #### shouldNotConstructNewWithSomethingAlreadyDetached

          public void shouldNotConstructNewWithSomethingAlreadyDetached()

    - #### shouldConstructDetachedEdge

          public void shouldConstructDetachedEdge()

    - #### shouldConstructDetachedEdgeAsReference

          public void shouldConstructDetachedEdgeAsReference()

    - #### shouldEvaluateToEqual

          public void shouldEvaluateToEqual()

    - #### shouldHaveSameHashCode

          public void shouldHaveSameHashCode()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

    - #### shouldNotEvaluateToEqualDifferentId

          public void shouldNotEvaluateToEqualDifferentId()

    - #### shouldConstructDetachedEdgeFromParts

          public void shouldConstructDetachedEdgeFromParts()

    - #### shouldNotAllowSetProperty

          public void shouldNotAllowSetProperty()

    - #### shouldNotAllowRemove

          public void shouldNotAllowRemove()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.